org.keycloak.credential

## Interface CredentialInputUpdater

- All Known Subinterfaces:
    CredentialInputUpdater.Streams
  All Known Implementing Classes:
    KerberosFederationProvider, LDAPStorageProvider, PasswordCredentialProvider, SSSDFederationProvider

      public interface CredentialInputUpdater

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CredentialInputUpdater.Streams` The `CredentialInputUpdater.Streams` interface makes all collection-based methods in `CredentialInputUpdater` default by providing implementations that delegate to the `Stream`-based variants instead of the other way around.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableCredentialType(RealmModel realm, UserModel user, String credentialType)`
    `Set<String>` | `getDisableableCredentialTypes(RealmModel realm, UserModel user)` Deprecated. Use `getDisableableCredentialTypesStream` instead.
    `default Stream<String>` | `getDisableableCredentialTypesStream(RealmModel realm, UserModel user)` Obtains the set of credential types that can be disabled via `disableCredentialType`.
    `boolean` | `supportsCredentialType(String credentialType)`
    `boolean` | `updateCredential(RealmModel realm, UserModel user, CredentialInput input)`

- - ### Method Detail

    - #### supportsCredentialType

          boolean supportsCredentialType(String credentialType)

    - #### updateCredential

          boolean updateCredential(RealmModel realm,
                                   UserModel user,
                                   CredentialInput input)

    - #### disableCredentialType

          void disableCredentialType(RealmModel realm,
                                     UserModel user,
                                     String credentialType)

    - #### getDisableableCredentialTypes

          @Deprecated
          Set<String> getDisableableCredentialTypes(RealmModel realm,
                                                                UserModel user)

      Deprecated. Use `getDisableableCredentialTypesStream` instead.
      Returns a set of credential types that can be disabled by disableCredentialType() method
      Parameters:
        `realm` -
        `user` -
      Returns:

    - #### getDisableableCredentialTypesStream

          default Stream<String> getDisableableCredentialTypesStream(RealmModel realm,
                                                                     UserModel user)

      Obtains the set of credential types that can be disabled via `disableCredentialType`.
      Parameters:
        `realm` - a reference to the realm.
        `user` - the user whose credentials are being searched.
      Returns:
        a non-null `Stream` of credential types.

Copyright © 2020 JBoss by Red Hat. All rights reserved.